Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model.framestore
Class TypeUpdateFrameStore

    java.lang.Object
      edu.stanford.smi.protege.model.framestore.AbstractFrameStore
          edu.stanford.smi.protege.model.framestore.FrameStoreAdapter
              edu.stanford.smi.protegex.owl.model.framestore.TypeUpdateFrameStore

All Implemented Interfaces:
  edu.stanford.smi.protege.model.framestore.FrameStore

    public class TypeUpdateFrameStore

extends edu.stanford.smi.protege.model.framestore.FrameStoreAdapter

Field Summary

Fields inherited from interface edu.stanford.smi.protege.model.framestore.FrameStore
`UNLIMITED_MATCHES`

Constructor Summary
`TypeUpdateFrameStore(OWLModel owlModel)`

Method Summary
`void` | `addDirectSuperslot(edu.stanford.smi.protege.model.Slot slot, edu.stanford.smi.protege.model.Slot superSlot)`
`void` | `addDirectType(edu.stanford.smi.protege.model.Instance instance, edu.stanford.smi.protege.model.Cls type)`
`edu.stanford.smi.protege.model.Cls` | `createCls(edu.stanford.smi.protege.model.FrameID id, Collection directTypes, Collection directSuperclasses, boolean loadDefaults)`
`edu.stanford.smi.protege.model.SimpleInstance` | `createSimpleInstance(edu.stanford.smi.protege.model.FrameID id, Collection directTypes, boolean loadDefaults)`
`edu.stanford.smi.protege.model.Slot` | `createSlot(edu.stanford.smi.protege.model.FrameID id, Collection directTypes, Collection directSuperslots, boolean loadDefaults)`
`void` | `removeDirectType(edu.stanford.smi.protege.model.Instance instance, edu.stanford.smi.protege.model.Cls directType)`
`void` | `setDirectOwnSlotValues(edu.stanford.smi.protege.model.Frame frame, edu.stanford.smi.protege.model.Slot slot, Collection values)`
`void` | `updateFacetValues(OWLModel owlModel)` Used by the parser to write the facet values in the underlying frames model, so that frames API calls return the correct values.

Methods inherited from class edu.stanford.smi.protege.model.framestore.FrameStoreAdapter
`addDirectSuperclass, addDirectTemplateSlot, beginTransaction, beginTransaction, commitTransaction, createFacet, deleteCls, deleteFacet, deleteSimpleInstance, deleteSlot, executeQuery, getClsCount, getClses, getClsesWithAnyDirectTemplateSlotValue, getClsesWithDirectTemplateFacetValue, getClsesWithDirectTemplateSlotValue, getClsesWithMatchingBrowserText, getClsesWithMatchingDirectTemplateFacetValue, getClsesWithMatchingDirectTemplateSlotValue, getDirectDomain, getDirectInstances, getDirectlyOverriddenTemplateFacets, getDirectlyOverriddenTemplateSlots, getDirectOwnSlotValues, getDirectOwnSlotValuesClosure, getDirectOwnSlotValuesCount, getDirectSubclasses, getDirectSubslots, getDirectSuperclasses, getDirectSuperslots, getDirectTemplateFacetValues, getDirectTemplateSlots, getDirectTemplateSlotValues, getDirectTypes, getDomain, getEvents, getFacetCount, getFacets, getFrame, getFrame, getFrameCount, getFrameName, getFrames, getFramesWithAnyDirectOwnSlotValue, getFramesWithDirectOwnSlotValue, getFramesWithMatchingDirectOwnSlotValue, getInstances, getMatchingReferences, getOverriddenTemplateFacets, getOverriddenTemplateSlots, getOwnFacets, getOwnFacetValues, getOwnSlots, getOwnSlotValues, getReferences, getSimpleInstanceCount, getSlotCount, getSlots, getSubclasses, getSubslots, getSuperclasses, getSuperslots, getTemplateFacets, getTemplateFacetValues, getTemplateSlots, getTemplateSlotValues, getTransactionStatusMonitor, getTypes, moveDirectOwnSlotValue, moveDirectSubclass, moveDirectSubslot, moveDirectTemplateSlot, moveDirectType, reinitialize, removeDirectSuperclass, removeDirectSuperslot, removeDirectTemplateFacetOverrides, removeDirectTemplateSlot, replaceFrame, rollbackTransaction, setDirectTemplateFacetValues, setDirectTemplateSlotValues`

Methods inherited from class edu.stanford.smi.protege.model.framestore.AbstractFrameStore
`close, getDelegate, getName, onSetDelegate, setDelegate, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TypeUpdateFrameStore

    public TypeUpdateFrameStore(OWLModel owlModel)

Method Detail

### createCls

    public edu.stanford.smi.protege.model.Cls createCls(edu.stanford.smi.protege.model.FrameID id,
                                                        Collection directTypes,
                                                        Collection directSuperclasses,
                                                        boolean loadDefaults)

  Specified by:
    `createCls` in interface `edu.stanford.smi.protege.model.framestore.FrameStore`
  Overrides:
    `createCls` in class `edu.stanford.smi.protege.model.framestore.FrameStoreAdapter`

### createSlot

    public edu.stanford.smi.protege.model.Slot createSlot(edu.stanford.smi.protege.model.FrameID id,
                                                          Collection directTypes,
                                                          Collection directSuperslots,
                                                          boolean loadDefaults)

  Specified by:
    `createSlot` in interface `edu.stanford.smi.protege.model.framestore.FrameStore`
  Overrides:
    `createSlot` in class `edu.stanford.smi.protege.model.framestore.FrameStoreAdapter`

### createSimpleInstance

    public edu.stanford.smi.protege.model.SimpleInstance createSimpleInstance(edu.stanford.smi.protege.model.FrameID id,
                                                                              Collection directTypes,
                                                                              boolean loadDefaults)

  Specified by:
    `createSimpleInstance` in interface `edu.stanford.smi.protege.model.framestore.FrameStore`
  Overrides:
    `createSimpleInstance` in class `edu.stanford.smi.protege.model.framestore.FrameStoreAdapter`

### addDirectType

    public void addDirectType(edu.stanford.smi.protege.model.Instance instance,
                              edu.stanford.smi.protege.model.Cls type)

  Specified by:
    `addDirectType` in interface `edu.stanford.smi.protege.model.framestore.FrameStore`
  Overrides:
    `addDirectType` in class `edu.stanford.smi.protege.model.framestore.FrameStoreAdapter`

### removeDirectType

    public void removeDirectType(edu.stanford.smi.protege.model.Instance instance,
                                 edu.stanford.smi.protege.model.Cls directType)

  Specified by:
    `removeDirectType` in interface `edu.stanford.smi.protege.model.framestore.FrameStore`
  Overrides:
    `removeDirectType` in class `edu.stanford.smi.protege.model.framestore.FrameStoreAdapter`

### setDirectOwnSlotValues

    public void setDirectOwnSlotValues(edu.stanford.smi.protege.model.Frame frame,
                                       edu.stanford.smi.protege.model.Slot slot,
                                       Collection values)

  Specified by:
    `setDirectOwnSlotValues` in interface `edu.stanford.smi.protege.model.framestore.FrameStore`
  Overrides:
    `setDirectOwnSlotValues` in class `edu.stanford.smi.protege.model.framestore.FrameStoreAdapter`

### addDirectSuperslot

    public void addDirectSuperslot(edu.stanford.smi.protege.model.Slot slot,
                                   edu.stanford.smi.protege.model.Slot superSlot)

  Specified by:
    `addDirectSuperslot` in interface `edu.stanford.smi.protege.model.framestore.FrameStore`
  Overrides:
    `addDirectSuperslot` in class `edu.stanford.smi.protege.model.framestore.FrameStoreAdapter`

### updateFacetValues

    public void updateFacetValues(OWLModel owlModel)

  Used by the parser to write the facet values in the underlying frames model, so that frames API calls return the correct values. This method updates the facets for functional properties

  Parameters:
    `owlModel` -

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2012 Stanford University.